Channels
Channel status
GET
Overview of connected channels: email mailboxes, WhatsApp and the chat widget.
bearer channels:readheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: channels:read
Success
application/json- response
email*whatsapp*widget*curl -X GET "https://example.com/channels"{ "email": { "mailboxes": [ { "id": "string", "email": "string", "displayName": "string", "provider": "google", "inboundMode": "forwarding", "outboundMode": "google_direct", "status": "draft", "isDefault": true, "googleConnected": true, "aiReplyMode": "draft", "updatedAt": 0 } ] }, "whatsapp": { "isActive": true, "connectionStatus": "string", "statusReason": "string", "statusMessage": "string", "requiredActionUrl": "string", "agentId": "string", "connectedAt": 0, "lastInboundAt": 0 }, "widget": { "seenOnDomains": [ { "domain": "string", "lastSeenAt": 0 } ] }}